package com.hungraim.ltc.governance.controller;

import com.hungraim.ltc.governance.service.SrvTaskService;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskVO;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 服务计划Controller
 *
 * @author czz
 */
@RestController
@RequestMapping("/api.governance/srvTask")
@Slf4j
public class SrvTaskController {

    @Autowired
    private SrvTaskService srvTaskService;

    /**
     * 服务计划、服务计划配置列表
     *
     * @param organId     护理机构id
     * @param disableName 失能人员姓名
     * @param disableTel  失能人员手机号码
     * @param empName     护理人员姓名
     * @param certifNum   护理人员证件号码
     * @param startTime   服务计划开始时间
     * @param endTime     服务计划结束时间
     * @param status      任务状态（服务计划状态）
     * @param modeId      服务方式
     */
    @RequestMapping("/getSrvTaskList")
    public Result<List<SrvTaskVO>> getSrvTaskList(Integer organId, String disableName, String disableTel,
                                                  String empName, String certifNum, String startTime, String endTime,
                                                  String status, String modeId) {
        List<SrvTaskVO> tasks = srvTaskService.getSrvTaskList(organId, disableName, disableTel, empName, certifNum, startTime, endTime, status, modeId);
        return Result.success(tasks);
    }
}
