package com.hungraim.ltc.governance.service.impl;

import com.hungraim.ltc.governance.dao.SrvTaskMapper;
import com.hungraim.ltc.governance.service.SrvTaskService;
import com.hungraim.ltc.pojo.vo.governance.SrvTaskVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务计划ServiceImpl
 */
@Service
public class SrvTaskServiceImpl implements SrvTaskService {
    @Autowired
    private SrvTaskMapper srvTaskMapper;

    /**
     * 服务计划列表
     *
     * @param organId     护理机构id
     * @param disableName 失能人员姓名
     * @param disableTel  失能人员手机号码
     * @param empName     护理人员姓名
     * @param certifNum   护理人员证件号码
     * @param startTime   服务计划开始时间
     * @param endTime     服务计划结束时间
     * @param status      任务状态
     * @param modeId      服务方式
     */
    @Override
    public List<SrvTaskVO> getSrvTaskList(Integer organId, String disableName, String disableTel,
                                          String empName, String certifNum, String startTime, String endTime,
                                          String status, String modeId) {
        return srvTaskMapper.getSrvTaskList(organId, disableName, disableTel, empName, certifNum, startTime, endTime, status, modeId);
    }
}
